Subject: Re: [PATCH] [TOPGIT] make tg remote idempotent

From: Uwe Kleine-König <[email-masked]>
Date: Wed, 21 Jan 2009 12:06:28 +0100

Hello,

On Wed, Jan 14, 2009 at 10:27:22PM +0100, Uwe Kleine-König wrote:
> -git config --add "remote.$name.fetch" "+refs/top-bases/*:refs/remotes/$name/top-bases/*"
> -git config --add "remote.$name.push" "+refs/top-bases/*:refs/top-bases/*"
> -git config --add "remote.$name.push" "+refs/heads/*:refs/heads/*"
> +git config --replace-all "remote.$name.fetch" "+refs/top-bases/*:refs/remotes/$name/top-bases/*" "+refs/top-bases/*:refs/remotes/$name/top-bases/*"
> +git config --replace-all "remote.$name.push" "+refs/top-bases/*:refs/top-bases/*" "+refs/top-bases/*:refs/top-bases/*"
> +git config --replace-all "remote.$name.push" "+refs/heads/*:refs/heads/*" "+refs/heads/*:refs/heads/*"
It seems I sent an old version of this patch.  Actually in the last
argument '+' and '*' have to be quoted to work.

I fixed this in my repo.  Should I resend the fixed patch?

Best regards
Uwe